ACTextInternal::State Struct Reference

Internal: the state of a ACText. More...

## Public Member Functions

| State ()
| constructor More...
void | setDefaultColorList (int version)
| set the default color map More...

## Public Attributes

std::vector< Topic > | m_topicList
| the topic list More...
int | m_listId
| the list id More...
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
int | m_version
| the file version More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a ACText.

## Constructor & Destructor Documentation

ACTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

void ACTextInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

## Member Data Documentation

int ACTextInternal::State::m_actualPage

std::vector<MWAWColor> ACTextInternal::State::m_colorList

a list colorId -> color

Referenced by setDefaultColorList().

int ACTextInternal::State::m_listId

the list id

int ACTextInternal::State::m_numPages

std::vector<Topic> ACTextInternal::State::m_topicList

the topic list

int ACTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- ACText.cxx